global:
  enabled: true
  tlsDisable: true

server:
  enabled: true

  dataStorage:
    enabled: true
    size: 10Gi
    storageClass: nfs-client

  standalone:
    enabled: true
    config: |
      ui = true

      listener "tcp" {
        address = "[::]:8200"
        cluster_address = "[::]:8201"
        tls_disable = true
      }

      storage "file" {
        path = "/vault/data"
      }

      service_registration "kubernetes" {}

  ingress:
    enabled: false

ui:
  enabled: true
  serviceType: ClusterIP

injector:
  enabled: false